## helm template

locally render templates

### Synopsis



Render chart templates locally and display the output.

This does not require Tiller. However, any values that would normally be
looked up or retrieved in-cluster will be faked locally. Additionally, none
of the server-side testing of chart validity (e.g. whether an API is supported)
is done.

To render just one template in a chart, use '-x':

	$ helm template mychart -x templates/deployment.yaml


```
helm template [flags] CHART
```

### Options

```
  -x, --execute stringArray      only execute the given templates
      --kube-version string      kubernetes version used as Capabilities.KubeVersion.Major/Minor (default "1.9")
  -n, --name string              release name (default "RELEASE-NAME")
      --name-template string     specify template used to name the release
      --namespace string         namespace to install the release into
      --notes                    show the computed NOTES.txt file as well
      --output-dir string        writes the executed templates to files in output-dir instead of stdout
      --set stringArray          set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
      --set-string stringArray   set STRING values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
  -f, --values valueFiles        specify values in a YAML file (can specify multiple) (default [])
```

### Options inherited from parent commands

```
      --debug                           enable verbose output
      --home string                     location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string                     address of Tiller. Overrides $HELM_HOST
      --kube-context string             name of the kubeconfig context to use
      --tiller-connection-timeout int   the duration (in seconds) Helm will wait to establish a connection to tiller (default 300)
      --tiller-namespace string         namespace of Tiller (default "kube-system")
```

### SEE ALSO
* [helm](helm.md)	 - The Helm package manager for Kubernetes.

###### Auto generated by spf13/cobra on 9-Mar-2018
